{% set header_class = "otherpage-header" %}
{% extends "./shared/layout" %}

{% block content %}

<form id="frm" name="frm" method="post" action="result.jsp">
    <div class="contents-wrap cert-wrap">
        <div class="container">
            <div class="cert-guide">
                <h3>앱으로 인증서 복사하기</h3>
                <ul class="cert-howto-list">
                    <li>
                        <span class="num">01.</span>
                        <p><span>인증서복사하기</span> 버튼을 클릭하여 인증서 복사 프로그램을 실행하세요.</p>
                    </li>
                    <li>
                        <span class="num n2">02.</span>
                        <p>복사프로그램에 인증서 비밀번호를 입력하세요.</p>
                    </li>
                    <li>
                        <span class="num n3">03.</span>
                        <p>앱에 표시된 인증번호를 입력하여 인증을 받으세요.</p>
                    </li>
                </ul>
                <button type="button" onclick="LoadMain();" class="cert-button">인증서 복사하기</button>
            </div>
            <div class="cert-mobile-thumb">
                <img src="/bank/images/cert-img.png"/>
            </div>
        </div>
    </div>

</form>
{% endblock %}


{% block scripts %}
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/json2.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/TouchEnNx.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/TouchEnNx_exproto.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/TouchEnNx_install.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/TouchEnNx_daemon.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/nxCR/js/nxcr_config.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/nxCR/js/NXCertRelay_Interface.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/nxCR/js/NXCertRelay.js"></script>
<script type="text/javascript" charset="utf-8" src="/raonnx/cmn/TouchEnNx_loader.js"></script>
<script>
    /** 해당 페이지에서는 nxcr 제품만 사용하돌고 설정합니다.
     *  금융권의 경우 특정 페이지에서만 인증서 복사 모듈을 사용하기에 전체 페이지 대상으로는 모듈을 실행하지 않습니다.
     *  사유 : 전체페이지 사용시 필수 설치체크에 포함되어 있으므로 키보드보안이 설치되어 있더라도 사용자선택 모듈인 인증서복사 모듈 설치를 위해 설치페이지로 이동함
     */

    TouchEnNxConfig.use = {
        nxkey: false,
        nxcr: true,
        nxweb: false,
        nxfw: false
    };

    /** 설치페이지를 nxcr 전용 설치페이지로 이동합니다.
     *  금융권의 경우 통합설치(베라포트)모듈을 이용하여 키보드보안 모듈의 경우 필수설치를 진행하지만
     *  인증서복사의 경우 사용하는 특정 사용자만 설치를 진행하는 경우가 있습니다.
     *  이때 모듈 사용 및 설치페이지 설정을 아래와 같이 설정합니다.
     */
    TouchEnNxConfig.installPage.tos = TouchEnNxConfig.installPage.nxcr;

</script>
<script type="text/javascript">
    KS_loading();
</script>
{% endblock %}
